> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Available Cities

> Get a list of cities available for proxy services in the specified region.



## OpenAPI

````yaml get /go-api/v1/proxy/cities
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/proxy/cities:
    get:
      tags: []
      summary: Check Available Cities
      description: >-
        Get a list of cities available for proxy services in the specified
        region.
      parameters:
        - name: regionName
          in: query
          description: The name of the region to query.
          required: true
          schema:
            type: string
            title: regionName
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProxyCitiesResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetProxyCitiesResponseModel:
      properties:
        cities:
          items:
            $ref: '#/components/schemas/ProxyCitiesResponseModel'
          type: array
          title: cities
      type: object
      required:
        - cities
      title: GetProxyCitiesResponseModel
    ProxyCitiesResponseModel:
      properties:
        cityName:
          type: string
          title: cityName
          description: The name of the city within the specified region.
        regionName:
          type: string
          title: regionName
          description: >-
            The full name of the region which the city belongs, as per the
            common naming convention.
      type: object
      required:
        - cityName
        - regionName
      title: ProxyCitiesResponseModel

````